Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.clearspace
Class ClearspaceGroupProvider

    java.lang.Object
      org.jivesoftware.openfire.group.AbstractGroupProvider
          org.jivesoftware.openfire.clearspace.ClearspaceGroupProvider

All Implemented Interfaces:
  GroupProvider

    public class ClearspaceGroupProvider

extends AbstractGroupProvider

Author:
  Daniel Henninger

Field Summary
`protected static String` | `URL_PREFIX`

Constructor Summary
`ClearspaceGroupProvider()`

Method Summary
`Group` | `getGroup(String name)` Returns a group based on it's name.
`int` | `getGroupCount()` Returns the number of groups in the system.
`Collection<String>` | `getGroupNames()` Returns the Collection of all group names in the system.
`Collection<String>` | `getGroupNames(int startIndex, int numResults)` Returns the Collection of all groups in the system.
`Collection<String>` | `getGroupNames(org.xmpp.packet.JID user)` Returns the Collection of group names that an entity belongs to.
`Collection<String>` | `getSharedGroupNames()` Returns the name of the groups that are shared groups.
`Collection<String>` | `getSharedGroupNames(org.xmpp.packet.JID user)` Returns an unmodifiable Collection of all shared groups in the system for a given user.

Methods inherited from class org.jivesoftware.openfire.group.AbstractGroupProvider
`addMember, createGroup, deleteGroup, deleteMember, getPublicSharedGroupNames, getVisibleGroupNames, isReadOnly, isSearchSupported, isSharingSupported, loadProperties, search, search, search, setDescription, setName, updateMember`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### URL_PREFIX

    protected static final String URL_PREFIX

See Also:
  Constant Field Values

Constructor Detail

### ClearspaceGroupProvider

    public ClearspaceGroupProvider()

Method Detail

### getGroup

    public Group getGroup(String name)
                   throws GroupNotFoundException

  Description copied from interface: `GroupProvider`
  Returns a group based on it's name.

  Parameters:
    `name` - the name of the group.
  Returns:
    the group with the given name.
  Throws:
    `GroupNotFoundException` - If no group with that ID could be found

### getGroupCount

    public int getGroupCount()

  Description copied from interface: `GroupProvider`
  Returns the number of groups in the system.

  Returns:
    the number of groups in the system.

### getSharedGroupNames

    public Collection<String> getSharedGroupNames()

  Description copied from class: `AbstractGroupProvider`
  Returns the name of the groups that are shared groups.

  Specified by:
    `getSharedGroupNames` in interface `GroupProvider`
  Overrides:
    `getSharedGroupNames` in class `AbstractGroupProvider`
  Returns:
    the name of the groups that are shared groups.

### getSharedGroupNames

    public Collection<String> getSharedGroupNames(org.xmpp.packet.JID user)

  Description copied from interface: `GroupProvider`
  Returns an unmodifiable Collection of all shared groups in the system for a given user.

  Specified by:
    `getSharedGroupNames` in interface `GroupProvider`
  Overrides:
    `getSharedGroupNames` in class `AbstractGroupProvider`
  Returns:
    unmodifiable Collection of all shared groups in the system for a given user.

### getGroupNames

    public Collection<String> getGroupNames()

  Description copied from interface: `GroupProvider`
  Returns the Collection of all group names in the system.

  Returns:
    the Collection of all groups.

### getGroupNames

    public Collection<String> getGroupNames(int startIndex,
                                            int numResults)

  Description copied from interface: `GroupProvider`
  Returns the Collection of all groups in the system.

  Parameters:
    `startIndex` - start index in results.
    `numResults` - number of results to return.
  Returns:
    the Collection of all group names given the `startIndex` and `numResults`.

### getGroupNames

    public Collection<String> getGroupNames(org.xmpp.packet.JID user)

  Description copied from interface: `GroupProvider`
  Returns the Collection of group names that an entity belongs to.

  Parameters:
    `user` - the JID of the entity.
  Returns:
    the Collection of group names that the user belongs to.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.